/* Min-width */
@media (min-width: 576px) {
}

@media (min-width: 768px) {
  .container,
  .container-sm {
    max-width: 100%;
  }
}

@media (min-width: 992px) {
}

@media (min-width: 1200px) {
  .category-lists .col-xl-2 {
    width: 14.28%;
  }

  .category-lists span {
    max-width: 80%;
  }
}

@media (min-width: 1400px) {
  .container {
    max-width: 1200px;
  }
}

/* Max-width */
@media (max-width: 1299.98px) {
  .header-bottom .header-ul .line {
    margin: 0px 5px;
  }
}

@media (max-width: 1199.98px) {
  .search-wrapper.active {
    width: 100%;
  }
  .menu {
    display: none;
  }
  .menu-bar-res {
    display: flex;
    align-items: center;
  }
}

@media (max-width: 991.98px) {
  img {
    max-width: 100% !important;
    height: auto !important;
    vertical-align: top;
  }
  .header-top {
    text-align: right;
  }
  .header-top marquee {
    width: calc(100% - 150px);
    margin-right: 0px;
  }
  .slideshow {
    width: 100%;
  }

  .footer-title {
    margin-bottom: 0px;
  }
  .visao-item {
    margin: 0px 0px 20px 0px !important;
    max-width: 100%;
  }
  #product-title {
    width: 100%;
    -webkit-line-clamp: 3;
  }

  .left-pro-detail {
    width: 400px;
  }

  .right-pro-detail {
    width: calc(100% - 415px);
    padding: 0px;
  }
  .camket-pro-detail {
    width: 100%;
  }
}

@media (max-width: 767.98px) {
  html,
  body {
    overflow-x: hidden;
  }
  div#header {
    z-index: 1000;
    min-height: 90px;
  }
  .header-top marquee {
    width: calc(100%);
  }

  .search-wrapper.active {
    width: 100%;
    position: relative;
  }

  .slideshow .slider {
    width: 100%;
  }

  .title-main {
    margin-bottom: 15px;
  }
  .wrap-cauhoi {
    background: none;
  }
  .wrap-cauhoi .accordion {
    max-width: 100%;
  }

  .doitac-item {
    padding: 10px;
  }

  .wrap-newsletter .hotline {
    min-height: 135px;
    padding-left: 120px;
  }
  .wrap-newsletter .hotline span {
    font-size: 20px;
    padding-bottom: 10px;
  }
  .wrap-newsletter .hotline a {
    font-size: 35px;
    line-height: 40px;
  }

  .footer {
    padding-bottom: 50px;
  }
  .footer-ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  .footer-ul li.line {
    display: none;
  }
  .footer-ul li {
    width: 50%;
  }
  .wrap-product-list .slider-products,
  .wrap-product-list .slider-product-thumbs {
    width: 100%;
  }
  .wrap-product-list .slider-product-thumbs {
    margin-bottom: 30px;
  }
  .product-item .image,
  .product-item .info {
    width: 100%;
  }
  .footer-statistic,
  .footer-copyright {
    text-align: center;
  }
  .vanhoa-item {
    max-width: 100%;
  }
  #chuyenkhoaTabs .nav-item {
    width: 49.5%;
    margin-bottom: 3px;
  }

  #chuyenkhoaTabs .nav-link {
    font-size: 14px;
    width: 100%;
  }
  #chuyenkhoaTabs .nav-link img {
    width: 20px;
  }

  .giatri-item .info {
    min-height: auto;
  }
  .news-item .name {
    min-height: auto;
  }
  .news-item .line {
    margin-top: 0px;
  }
  .wrap-history {
    background: #f8f8f8;
  }
  .wrap-history .slider-nav,
  .wrap-history .slider-for {
    width: 100%;
  }
  .year-item.slick-current span {
    padding-left: 20px;
  }
  .year-item.slick-current::before {
    right: auto;
    left: 0px;
  }

  .attr-pro-detail,
  .camket-pro-detail {
    width: 100%;
  }

  .left-pro-detail {
    margin: 0px auto;
  }

  .left-pro-detail {
    width: 100%;
  }

  .right-pro-detail {
    width: 100%;
  }

  .menu-wrapper .menu-toggle {
    width: 54px;
  }
  .menu-header {
    padding: 10px;
  }
  .menu-header .btn-close-menu {
    border: 1px solid #e0e0e0;
    color: #333;
    line-height: 21px;
    padding: 7px 5px 7px 0;
    position: relative;
    text-align: right;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: #6e6e6e;
  }
  .menu-header .btn-close-menu::before,
  .menu-header .btn-close-menu::after {
    content: "";
    position: absolute;
    width: 1px;
    top: 4px;
    left: 8px;
    background-color: #fff;
    height: 8px;
  }
  .menu-header .btn-close-menu::before {
    transform: rotate(45deg);
  }
  .menu-header .btn-close-menu::after {
    transform: rotate(-45deg);
  }

  .menu-dropdown {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    right: -100%;
    left: auto;
    width: 100vw; /* toàn bộ chiều ngang */
    height: 100vh;
    max-height: 100vh;
    overflow-y: auto;
    border: none;
    border-radius: 0px;
    padding: 0px;
    box-shadow: -2px 0 8px rgba(0, 0, 0, 0.3);
    transition: right 0.3s ease;
  }
  .menu-dropdown.open {
    display: block !important;
    right: 0;
    z-index: 1002;
  }

  .menu-left {
    width: 100px;
    height: calc(100vh - 49px);
    border-right: 0px;
  }
  .menu-right {
    padding: 10px;
    background: #fff;
  }

  .menu-panel .category-item {
    width: calc(100% / 3);
    padding: 0px;
  }
  #thuong-hieu .category-item {
    width: calc(100% / 3 - 6px);
    padding: 0px;
  }

  .search-wrapper {
    height: 36px;
    border-radius: 5px;
  }
}

@media (max-width: 575.98px) {
  .footer-colum {
    flex-direction: column;
  }
  .criteria__list.flex-container {
    --columns: 2;
    --space-x: 1.5rem;
    --space-y: 1.5rem;
  }
  .mg\:60-0 {
    padding: 10px 0px;
  }
  .pd\:60-0 {
    padding: 10px 0;
  }

  .news .news__item-inner {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 0.625rem 1.25rem;
    flex-direction: column;
    /* gap: 10px; */
  }
  .newsletter__form {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 0.5rem;
    flex-direction: column;
  }
  .footer__article-list:nth-child(1) .footer__article-item:nth-child(2) {
    width: 100%;
  }
  .newsletter__form > div:not(.is-button) {
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -moz-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    width: 100%;
  }
  .footer__article-list {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    row-gap: 1.5rem;
    align-items: center;
    justify-content: center;
  }
  .cauhoi {
    padding-top: 10px;
  }
  .news__item {
    margin-right: 10px;
  }
  .cauhoi .cauhoi-box {
    width: 100%;
    margin: 0 auto;
  }
  .accordion-item {
    margin-bottom: 10px;
    overflow: hidden;
    background: none;
    color: #000;
    font-size: 20px;
    border: 0 solid;
    border-bottom: 1px dashed #a4a4a4;
  }
  .product-list--featured .product-list__inner {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    flex-direction: column;
  }
  .product-list--featured .product-list__right {
    width: 100%;
    -webkit-border-radius: 0.625rem;
    -moz-border-radius: 0.625rem;
    border-radius: 0.625rem;
    background-color: #fff;
    -webkit-box-shadow: 0px 0px 20px 0px #e6001326;
    -moz-box-shadow: 0px 0px 20px 0px #e6001326;
    box-shadow: 0px 0px 20px 0px #e6001326;
    padding: 10px;
  }
  .header-logo-mb {
    width: 100%;
    text-align: center;
  }
  .newsletter-button input {
    margin-bottom: 15px;
  }
  .footer-end {
    padding-bottom: 27px;
  }
  .doingu-item .info p {
    font-size: 12px;
    margin-top: 14px;
  }
  .giatri-right .giatri-item,
  .giatri-right .giatri-item .desc {
    text-align: start;
  }
  .giatri-left,
  .giatri-right,
  .giatri-center {
    width: 100%;
  }
  .giatri-center {
    order: 3;
  }
  .giatri {
    padding-top: 5px;
    flex-direction: column;
  }
  .menu-left {
    width: 30%;
  }
  .flex-lg-column {
    flex-direction: column;
  }
  .footer-content {
    width: 100%;
  }
  .title-cauhoi {
    padding: 15px 0;
  }
  .question {
    flex-direction: column;
    gap: 1px !important;
  }
  .question-list {
  }
  .question-img {
    width: 100%;
  }
  .taisao-item {
    margin-bottom: 2px;
  }
  .sc-doingu .title-main h2 span::after {
    top: 50px;
    right: -80px;
  }
  .doingu-item .info h1 {
    font-size: 16px;

    margin-bottom: 10px;
  }
  .giatri-item {
    margin-bottom: 0px;
  }
  .giatri-item .info {
    width: 100%;
  }
  .giatri-item .name {
    font-size: clamp(18px, 2vw, 21px);
    font-weight: 700;
    line-height: 1.5;
    height: 50px;
  }
  .header-bottom-top-box {
    flex-direction: column;
    align-items: center;
    display: none !important;
  }
  .news .news__name a {
    --line-clamp: 1;
    font-weight: 700;
    font-size: clamp(16px, 2.3vw, 18px);
    color: var(--clr-text-primary);
    text-transform: capitalize;
    line-height: 1.3;
    height: 44px;
  }
  .phuongphap-item:nth-child(3),
  .phuongphap-item:nth-child(6) {
    margin-bottom: 0;
  }
  .phuongphap-center {
    order: 3;
  }
  .phuongphap-item {
    margin-bottom: 5px;
  }
  .phuongphap-left,
  .phuongphap-right,
  .phuongphap-center {
    width: 100%;
  }
  .phuongphap {
    padding-top: 8px;
    flex-direction: column;
  }
  .sc-phuongphap .title-main h2 span::after,
  .sc-camnhan .title-main h2 span::after {
    top: 86px;
    right: -35px;
  }
  .title-main h2 {
    padding-top: 6px;
  }
  .taisao-left,
  .taisao-right,
  .taisao-center {
    width: 100%;
  }
  .taisao-center {
    order: 3;
  }
  .taisao {
    padding-top: 12px;
    flex-direction: column;
  }
  .title-main h2 span::after {
    top: 30px;
  }
  .sc-form {
    padding: 20px 0;
  }
  .wrap-uudai {
    padding-top: 1rem;
    transform: translateY(0);
  }

  .wrap-counter .num {
    display: none;
  }
  .banner h2 {
    font-size: 20px;
  }

  .btn-submain {
    font-size: 14px;
  }
  header#header.fixed {
    position: relative;
  }
  .title-main h2 {
    font-size: 22px;
  }
  .title-main::before {
    font-size: 5rem;
    line-height: 65px;
  }

  .wrap-diadiem-hot .service-list h2.name {
    font-size: 16px;
  }

  .wrap-counter .num {
    font-size: 4.5rem;
  }
  .wrap-counter .counter {
    font-size: 2.5rem;
  }

  .wrap-service-list .service-list .name {
    font-size: 17px;
  }
  .wrap-service-list .service-list .info h3 {
    font-size: 16px;
  }
  .wrap-service-list .service-list .info .line {
    margin: 5px auto;
  }

  .news-item .name a {
  }
  .news-item .desc {
    font-size: 13px;
  }

  .service-item .name {
    font-size: 18px;
  }
  .service-item .desc {
    font-size: 14px;
  }
  .item_history .name {
    font-size: 1.5rem;
  }
  .item_year {
    font-size: 17px;
  }
  #frm-newsletter {
    padding: 0px;
  }
  .notify-popup {
    bottom: 85px;
  }

  .news-item.list .image {
    width: 120px;
  }
  .news-item.list .info {
    width: calc(100% - 120px);
    padding: 0px 10px;
  }

  .title-main h2,
  .title-main h3,
  .title-main h4 {
    white-space: normal !important;
  }

  .choose-list button {
    font-size: 13px;
    margin-bottom: 5px;
    padding: 10px;
  }
  .left-pro-detail {
    width: 100%;
  }
  .khachhang-item {
    width: 300px;
  }
  .accordion-button {
    font-size: 16px;
  }
  .footer-payments {
    text-align: center;
  }
  .item_history .desc {
    margin-bottom: 0px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 3;
  }

  .category-item {
    padding: 5px;
    width: calc(100% / 4);
  }

  .wrap-brand .brand-item,
  .wrap-doitac .brand-item {
    width: calc(100% / 3 - 0.5rem);
  }
  .filter-brand .filter-dropdown-item {
    width: calc(100% / 3 - 0.5rem);
  }
  .cart-fixed {
    bottom: 100px;
  }

  .wrap-about .about-img {
    position: relative;
    text-align: left;
    padding-bottom: 2%;
  }
  .wrap-about .about-img img:nth-child(2) {
    margin-left: 0px;
    margin-top: 0px;
    position: absolute;
    right: 0px;
    top: 15%;
  }

  .gallery-pro-detail .gallery-pro-detail-left {
    width: 100%;
    margin: 0px;
  }
  .gallery-pro-detail .slider-product-thumbs {
    width: calc(100% - 85px);
  }
  .gallery-pro-detail .slider-products {
    width: 100%;
  }
  .footer-powered {
    font-size: 14px;
    color: #fff;
    padding: 10px 0 !important;
    background: var(--color-submain);
    padding-bottom: 25px !important;
  }
  .footer-article {
    position: relative;
    background: #f9f9f9;
    background: var(--clr-brand-pointed);
    padding-top: 20px !important;
  }
  .footer-content:nth-child(1) {
    width: 100%;
  }
}

@media (max-width: 380.98px) {
  .footer-content:last-child .footer-ul {
    flex-direction: column;
  }
  .footer-content:last-child .footer-ul li {
    margin: 0 !important;
  }
  .khoahoc-info .desc {
    font-size: 14px;
  }
  .khoahoc-item {
    min-height: 390px !important;
  }
  .khoahoc-info {
    padding: 11px 6px;
  }
  .khoahoc-btn {
    left: 7px;
  }
  .khoahoc-btn a {
    font-size: 13px;
  }
  .product-video {
    width: 60px;
    height: 60px;
  }
  .khoahoc-info .desc {
    font-size: 14px;
  }

  .criteria__photo {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin-bottom: 0;
  }
  .mg-b\:1\.5rem {
    margin-bottom: 10px;
    margin-top: 15px;
  }
  .flex-container > [class*="item"] {
    width: -webkit-calc(
      100% / var(--columns, 4) - -webkit-calc(var(--space-x, 0.625rem) * 2)
    );
    /* width: -moz-calc(
    100% / var(--columns, 4) - -moz-calc(var(--space-x, 0.625rem) * 2)
  ); */
    /* width: calc(100% / var(--columns, 4) - calc(var(--space-x, 0.625rem) * 2)); */
    margin: 0;
    width: 49%;
  }
  .accordion-button {
    position: relative;
    padding: 10px 0;
    background: none;
    font-size: clamp(16px, 2vw, 18px);
    font-weight: 600;
    color: #151515;
    /* font-family: "Fraunces"; */
  }
}
